Index: appendices/symlinks/rc0.xml
===================================================================
--- appendices/symlinks/rc0.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ appendices/symlinks/rc0.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -112,6 +112,4 @@
 </row>
 
-
-
 <row>
 <entry>K48</entry>
@@ -123,4 +121,11 @@
 <row>
 <entry>K49</entry>
+<entry>adsl</entry>
+<entry><filename>../init.d/adsl</filename></entry>
+<entry>Stops the ADSL client: <xref linkend="pppoe"/></entry>
+</row>
+
+<row>
+<entry>K49</entry>
 <entry>portmap</entry>
 <entry><filename>../init.d/portmap</filename></entry>
Index: appendices/symlinks/rc1.xml
===================================================================
--- appendices/symlinks/rc1.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ appendices/symlinks/rc1.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -93,4 +93,11 @@
 <row>
 <entry>K49</entry>
+<entry>adsl</entry>
+<entry><filename>../init.d/adsl</filename></entry>
+<entry>Stops the ADSL client: <xref linkend="pppoe"/></entry>
+</row>
+
+<row>
+<entry>K49</entry>
 <entry>portmap</entry>
 <entry><filename>../init.d/portmap</filename></entry>
Index: appendices/symlinks/rc2.xml
===================================================================
--- appendices/symlinks/rc2.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ appendices/symlinks/rc2.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -75,4 +75,11 @@
 <entry><filename>../init.d/nfs</filename></entry>
 <entry>Stop network file system: </entry>
+</row>
+
+<row>
+<entry>K49</entry>
+<entry>adsl</entry>
+<entry><filename>../init.d/adsl</filename></entry>
+<entry>Stops the ADSL client: <xref linkend="pppoe"/></entry>
 </row>
 
Index: appendices/symlinks/rc3.xml
===================================================================
--- appendices/symlinks/rc3.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ appendices/symlinks/rc3.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -68,4 +68,11 @@
 <entry><filename>../init.d/xinetd</filename></entry>
 <entry>Load internet services daemon: <xref linkend="xinetd"/></entry>
+</row>
+
+<row>
+<entry>S24</entry>
+<entry>adsl</entry>
+<entry><filename>../init.d/adsl</filename></entry>
+<entry>Starts the ADSL client: <xref linkend="pppoe"/></entry>
 </row>
 
Index: appendices/symlinks/rc4.xml
===================================================================
--- appendices/symlinks/rc4.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ appendices/symlinks/rc4.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -68,4 +68,11 @@
 <entry><filename>../init.d/xinetd</filename></entry>
 <entry>Load internet services daemon: <xref linkend="xinetd"/></entry>
+</row>
+
+<row>
+<entry>S24</entry>
+<entry>adsl</entry>
+<entry><filename>../init.d/adsl</filename></entry>
+<entry>Starts the ADSL client: <xref linkend="pppoe"/></entry>
 </row>
 
Index: appendices/symlinks/rc5.xml
===================================================================
--- appendices/symlinks/rc5.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ appendices/symlinks/rc5.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -61,4 +61,11 @@
 <entry><filename>../init.d/xinetd</filename></entry>
 <entry>Load internet services daemon: <xref linkend="xinetd"/></entry>
+</row>
+
+<row>
+<entry>S24</entry>
+<entry>adsl</entry>
+<entry><filename>../init.d/adsl</filename></entry>
+<entry>Starts the ADSL client: <xref linkend="pppoe"/></entry>
 </row>
 
Index: appendices/symlinks/rc6.xml
===================================================================
--- appendices/symlinks/rc6.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ appendices/symlinks/rc6.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -114,4 +114,11 @@
 <row>
 <entry>K49</entry>
+<entry>adsl</entry>
+<entry><filename>../init.d/adsl</filename></entry>
+<entry>Stops the ADSL client: <xref linkend="pppoe"/></entry>
+</row>
+
+<row>
+<entry>K49</entry>
 <entry>portmap</entry>
 <entry><filename>../init.d/portmap</filename></entry>
Index: connect/other/other.xml
===================================================================
--- connect/other/other.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ connect/other/other.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -1,9 +1,10 @@
 <chapter id="connect-other">
 <?dbhtml filename="other.html" dir="connect"?>
-<title>Other connection methods index</title>
+<title>Other Connections</title>
 
 <para>Other methods to connect to large networks are through ISDN and
-PPPoE interfaces. Pages written for these interfaces are always welcome
-and will be included in future books, if available.</para>
+PPPoE interfaces, among others.  PPPoE is discussed here.  Pages written 
+for ISDN (or others as the need arises) are always welcome and will be 
+included in future books, if available.</para>
 
 &connect-other-isdn;
Index: connect/other/pppoe/pppoe-config.xml
===================================================================
--- connect/other/pppoe/pppoe-config.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ connect/other/pppoe/pppoe-config.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -3,10 +3,82 @@
 
 <sect3><title>Config files</title>
-<para><filename>files to be determined</filename></para></sect3>
+<para><filename>/etc/ppp/pppoe.conf, 
+/etc/ppp/firewall-standalone, 
+/etc/ppp/firewall-masq, 
+/etc/ppp/pppoe-server-options, 
+/etc/resolv.conf, 
+/etc/ppp/pap-seecrets, 
+/etc/ppp/chap-secrets</filename></para></sect3>
 
 <sect3><title>Configuration Information</title>
 
-<para>To re-configure RP-PPPoE after installation, you should run the
-<filename>adsl-config</filename> script.</para>
+<para>To configure RP-PPPoE after installation, you should run the
+<filename>adsl-setup</filename> script.</para>
+
+<para>When configuring your connection, you will need to have your 
+ISPs nameserver information availible , as well as your username and 
+password.  You will also be asked wether you want to configure a
+dial-on-demand or a constant connection.  If your service provider does
+not charge by the minute, it is usually good to have a bootscript handle 
+the connection for you.  You can, of course, choose not to install the 
+following script, and start your connection manually with the 
+<filename>adsl-start</filename> script.</para>
+
+<para>Use the following commands to create the 
+<emphasis>optional</emphasis> <filename>adsl</filename> bootscript:</para>
+
+<para><screen><userinput>cat &gt; /etc/rc.d/init.d/adsl &lt;&lt; "EOF"
+#!/bin/bash
+# Begin $rc_base/init.d/adsl
+
+# Based on sysklogd script from LFS-3.1 and earlier.
+# Rewritten by Gerard Beekmans  - gerard@linuxfromscratch.org
+# adsl script written by DJ Lucas  - dj@lucasit.com
+
+source /etc/sysconfig/rc
+source $rc_functions
+
+case "$1" in
+        start)
+                echo "Bringing up the ADSL interface..."
+                /usr/sbin/adsl-start
+                evaluate_retval
+                ;;
+
+        stop)
+                echo "Bringing down the ADSL interface..."
+                /usr/sbin/adsl-stop
+                evaluate_retval
+                ;;
+
+        restart)
+                $0 stop
+                sleep 1
+                $0 start
+                ;;
+
+        status)
+                /usr/sbin/adsl-status
+                ;;
+
+        *)
+                echo "Usage: $0 {start|stop|restart|status}"
+                exit 1
+                ;;
+esac
+
+# End $rc_base/init.d/adsl
+EOF
+chmod 755 /etc/rc.d/init.d/adsl</userinput></screen></para>
+
+<para>Now create the necessary symlinks:</para>
+
+<para><screen><userinput>ln -sf ../init.d/adsl /etc/rc.d/rc0.d/K49adsl &amp;&amp;
+ln -sf ../init.d/adsl /etc/rc.d/rc1.d/K49adsl &amp;&amp;
+ln -sf ../init.d/adsl /etc/rc.d/rc2.d/K49adsl &amp;&amp;
+ln -sf ../init.d/adsl /etc/rc.d/rc3.d/S24adsl &amp;&amp;
+ln -sf ../init.d/adsl /etc/rc.d/rc4.d/S24adsl &amp;&amp;
+ln -sf ../init.d/adsl /etc/rc.d/rc5.d/S24adsl &amp;&amp;
+ln -sf ../init.d/adsl /etc/rc.d/rc6.d/K49adsl</userinput></screen></para>
 
 </sect3>
Index: connect/other/pppoe/pppoe-desc.xml
===================================================================
--- connect/other/pppoe/pppoe-desc.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ connect/other/pppoe/pppoe-desc.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -3,5 +3,6 @@
 
 <para>The RP-PPPoE package contains <userinput>adsl-setup, adsl-start, 
-and adsl-stop</userinput>.</para>
+adls-status, adsl-stop, pppoe, pppoe-relay, pppoe-server, and
+pppoe-sniff</userinput>.</para>
 
 </sect2>
@@ -10,12 +11,26 @@
 
 <sect3><title>adsl-setup</title>
-<para>a script for configuring the client.</para></sect3>
+<para>A script for configuring the client.  Configuration is then stored
+in <filename>/etc/ppp/pppoe.conf</filename>.</para></sect3>
 
-<sect3><title>adsl-start</title>
-<para>starts the client using the options specified when you 
-ran <userinput>adsl-config</userinput>.</para></sect3>
+<sect3><title>adsl-start</title><para>Starts the client using the options 
+specified in <filename>/etc/ppp/pppoe.conf</filename>.</para></sect3>
 
-<sect3><title>adsl-stop</title>
-<para>stops the client.</para></sect3>
+<sect3><title>adsl-status</title><para>Displays the status of the adsl 
+connection</para></sect3>
+
+<sect3><title>adsl-stop</title><para>Stops the client.</para></sect3>
+
+<sect3><title>pppoe</title><para>This is the actual client itself.
+Generally it should not be started on it's own</para></sect3>
+
+<sect3><title>pppoe-relay</title><para>Starts the server relay 
+agent.</para></sect3>
+
+<sect3><title>pppoe-server</title><para>Starts the server 
+componenet.</para></sect3>
+
+<sect3><title>pppoe-sniff</title><para>A small network sniffer designed 
+to assist in setting PPPOE_EXTRA setttings.</para></sect3>
 
 </sect2>
Index: connect/other/pppoe/pppoe-exp.xml
===================================================================
--- connect/other/pppoe/pppoe-exp.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ connect/other/pppoe/pppoe-exp.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -2,8 +2,9 @@
 <title>Command explanations</title>
 
-<para>The 'go' script will run configure, make, and make install for
-you, with the most common options.  It will also run the adsl-setup
-script for configuring your connection.  Of course, you are free
-to run the commands individually to fine tune the installation.</para>
+<para>These are the standard instalation commands that will install into
+the <userinput>/usr</userinput> prefix.  You can optionally use the 
+<userinput>'go'</userinput> script in the root of the source tree, to
+run the exact same commands, which are then, imediately followed by the 
+<userinput>adsl-setup</userinput> script.</para>
 
 </sect2>
Index: connect/other/pppoe/pppoe-inst.xml
===================================================================
--- connect/other/pppoe/pppoe-inst.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ connect/other/pppoe/pppoe-inst.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -2,8 +2,10 @@
 <title>Installation of RP-PPPoE</title>
 
-<para>Install RP-PPPoE by running the following command:</para>
+<para>Install RP-PPPoE by running the following commands:</para>
 
-<para><screen><userinput>
-./go</userinput></screen></para>
+<para><screen><userinput>cd src &amp;&amp;
+./configure &amp;&amp;
+make &amp;&amp;
+make install &amp;&amp;</userinput></screen></para>
 
 </sect2>
Index: connect/other/pppoe/pppoe-intro.xml
===================================================================
--- connect/other/pppoe/pppoe-intro.xml	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ connect/other/pppoe/pppoe-intro.xml	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -1,4 +1,4 @@
 <sect2>
-<title>Introduction to RP-PPPOE</title>
+<title>Introduction to RP-PPPoE</title>
 
 <screen>Download location (HTTP):       <ulink url="&pppoe-download-http;"/>
@@ -8,7 +8,18 @@
 Estimated Disk space required:  &pppoe-buildsize;</screen>
 
-<para>The Roaring Penguin PPPoE client allows you to connect to 
-large networks, most commonly DSL service providers, that use the PPPoE 
-protocol.</para>
+<para>The Roaring Penguin PPPoE package contains both a client, and a 
+userspace server componenet that runs works with the client. The 
+client allows you to connect to large networks that use the PPPoE protocol, 
+common among ADSL providers.  The server component runs along side the 
+client, allowing you configure other clients that send out a configuration 
+request.</para>
+
+<screen>RP-PPPoE depends on:
+<xref linkend="ppp"/></screen>
+
+<para>In addition, if you plan to use demand dialing, or kernel mode
+PPPoE, you need to patch ppp-2.4.1 and re-install.</para>
+<para>The patch can be downloaded from here: 
+<ulink url="&hfile-root;/ppp-2.4.1-pppoe-4.patch"/></para>
 
 </sect2>
Index: connect/other/pppoe/pppoe.ent
===================================================================
--- connect/other/pppoe/pppoe.ent	(revision 1d7496e59a3b29e1c632c6fa6f0a1da0d6140046)
+++ connect/other/pppoe/pppoe.ent	(revision a1a2c997466ebfd8d70f72c05719a3af31ad4318)
@@ -5,5 +5,5 @@
 <!ENTITY pppoe-desc SYSTEM "pppoe-desc.xml">
 <!ENTITY pppoe-config SYSTEM "pppoe-config.xml">
-<!ENTITY pppoe-buildsize "TBD">
+<!ENTITY pppoe-buildsize "2.5 MB">
 <!ENTITY pppoe-version "3.5">
 <!ENTITY pppoe-download-http "http://www.roaringpenguin.com/pppoe/rp-pppoe-3.5.tar.gz">
